<?php



$name = $_POST['name'];
//$ruta="http://192.168.1.254/fotos/pgimagen/imagenes";
$ruta="imagenes";
$archivo=$_FILES['userfile']['tmp_name'];
$nombreArchivo=$_FILES['userfile']['name'];
$ruta=$ruta."/".$nombreArchivo;
//move_uploaded_file($archivo,$ruta."/".$nombreArchivo);
move_uploaded_file($archivo,$ruta);


echo $ruta.' -----------      '.$archivo;

// Poner aqui toda la ruta completa en el servidor
$ruta='C:/Informatica/_www/desarrollo/pgimagen/imagenes/'.$nombreArchivo;

$conn = pg_pconnect("dbname=jaime user=postgres password=postgres port=5433");
//$query = "insert into image values ('$name', lo_import('$uploadfile'), 'now')";
$query = "insert into image values ('$name', lo_import('$ruta'), 'now')";
$result = pg_query($query);

if($result)
{
    echo "File is valid, and was successfully uploaded.\n";
    unlink($ruta);
}
else
{
    echo "Filename already exists. Use another filename. Enter all the values.";
    unlink($ruta);
}
pg_close($conn);

?>